Xerces2 Implementation: Class ShadowedSymbolTable

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class ShadowedSymbolTable

    java.lang.Object
      |
      +--org.apache.xerces.util.SymbolTable
            |
            +--org.apache.xerces.util.ShadowedSymbolTable

public final class ShadowedSymbolTable
extends SymbolTable

Shadowed symbol table. The table has a reference to the main symbol table and is not allowed to add new symbols to the main symbol table. New symbols are added to the shadow symbol table and are local to the component using this table.

Version:
  $Id: ShadowedSymbolTable.java 447241 2006-09-18 05:12:57Z mrglavas $
Author:
  Andy Clark IBM

Inner classes inherited from class org.apache.xerces.util.SymbolTable
`SymbolTable.Entry`

Field Summary
`protected SymbolTable` | `fSymbolTable` Main symbol table.

Fields inherited from class org.apache.xerces.util.SymbolTable
`fBuckets, fCount, fLoadFactor, fTableSize, fThreshold, TABLE_SIZE`

Constructor Summary
`ShadowedSymbolTable(SymbolTable symbolTable)` Constructs a shadow of the specified symbol table.

Method Summary
`java.lang.String` | `addSymbol(char[] buffer, int offset, int length)` Adds the specified symbol to the symbol table and returns a reference to the unique symbol.
`java.lang.String` | `addSymbol(java.lang.String symbol)` Adds the specified symbol to the symbol table and returns a reference to the unique symbol.
`int` | `hash(char[] buffer, int offset, int length)` Returns a hashcode value for the specified symbol information.
`int` | `hash(java.lang.String symbol)` Returns a hashcode value for the specified symbol.

Methods inherited from class org.apache.xerces.util.SymbolTable
`containsSymbol, containsSymbol, rehash`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fSymbolTable

    protected SymbolTable fSymbolTable

  Main symbol table.

Constructor Detail

### ShadowedSymbolTable

    public ShadowedSymbolTable(SymbolTable symbolTable)

  Constructs a shadow of the specified symbol table.

Method Detail

### addSymbol

    public java.lang.String addSymbol(java.lang.String symbol)

  Adds the specified symbol to the symbol table and returns a reference to the unique symbol. If the symbol already exists, the previous symbol reference is returned instead, in order guarantee that symbol references remain unique.
  Overrides:
    `addSymbol` in class `SymbolTable`
  Parameters:
    `symbol` - The new symbol.

### addSymbol

    public java.lang.String addSymbol(char[] buffer,
                                      int offset,
                                      int length)

  Adds the specified symbol to the symbol table and returns a reference to the unique symbol. If the symbol already exists, the previous symbol reference is returned instead, in order guarantee that symbol references remain unique.
  Overrides:
    `addSymbol` in class `SymbolTable`
  Parameters:
    `buffer` - The buffer containing the new symbol.
    `offset` - The offset into the buffer of the new symbol.
    `length` - The length of the new symbol in the buffer.

### hash

    public int hash(java.lang.String symbol)

  Returns a hashcode value for the specified symbol. The value returned by this method must be identical to the value returned by the `hash(char[],int,int)` method when called with the character array that comprises the symbol string.
  Overrides:
    `hash` in class `SymbolTable`
  Parameters:
    `symbol` - The symbol to hash.

### hash

    public int hash(char[] buffer,
                    int offset,
                    int length)

  Returns a hashcode value for the specified symbol information. The value returned by this method must be identical to the value returned by the `hash(String)` method when called with the string object created from the symbol information.
  Overrides:
    `hash` in class `SymbolTable`
  Parameters:
    `buffer` - The character buffer containing the symbol.
    `offset` - The offset into the character buffer of the start of the symbol.
    `length` - The length of the symbol.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.